Bug 1126314 - Lockdown can't be enabled through the firewall-cmd
Summary: Lockdown can't be enabled through the firewall-cmd
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: firewalld
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1017034
TreeView+ depends on / blocked
 
Reported: 2014-08-04 07:34 UTC by Jakub Jelen
Modified: 2014-08-04 08:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-04 08:56:13 UTC


Attachments (Terms of Use)

Description Jakub Jelen 2014-08-04 07:34:06 UTC
Description of problem:
When trying to enable lockdown through firewall-cmd, I receive strange errors:

# firewall-cmd --lockdown-on
Error: yes is <type 'str'>, expected <type 'dict'>

# firewall-cmd --lockdown-off
Error: no is <type 'str'>, expected <type 'dict'>

This is caused by commit 7b8d76273939d28b96b6a3e0bb99b2c6a8e6e1c3 - strict type checking.

When I try to enable/disable lockdown directly through d-bus, it works fine.

Version-Release number of selected component (if applicable):
git upstream

How reproducible:
deterministic


Note You need to log in before you can comment on or make changes to this bug.